Subject: Re: [PATCH 2/3] net: uapi: Add HWTSTAMP_FLAGS_ADJ_FINE/ADJ_COARSE

From: Richard Cochran <[email-masked]>
Date: Thu, 14 May 2020 06:38:09 -0700

On Thu, May 14, 2020 at 12:28:07PM +0200, Olivier Dautricourt wrote:
> This commit allows a user to specify a flag value for configuring
> timestamping through hwtsamp_config structure.
> 
> New flags introduced:
> 
> HWTSTAMP_FLAGS_NONE = 0
> 	No flag specified: as it is of value 0, this will selects the
> 	default behavior for all the existing drivers and should not
> 	break existing userland programs.
> 
> HWTSTAMP_FLAGS_ADJ_FINE = 1
> 	Use the fine adjustment mode.
> 	Fine adjustment mode is usually used for precise frequency adjustments.
> 
> HWTSTAMP_FLAGS_ADJ_COARSE = 2
> 	Use the coarse adjustment mode
> 	Coarse adjustment mode is usually used for direct phase correction.

I'll have to NAK this change.  The purpose of HWTSTAMP ioctl is to
configure the hardware time stamp settings.  This patch would misuse
it for some other purpose.

Sorry,
Richard